Bug 201111 - Dynamic Playlist: Random crashes during playback (related to BiasSolver?)
Summary: Dynamic Playlist: Random crashes during playback (related to BiasSolver?)
Status: RESOLVED DUPLICATE of bug 200546
Alias: None
Product: amarok
Classification: Applications
Component: Playlists/Dynamic Playlists (show other bugs)
Version: 2.3-GIT
Platform: unspecified Linux
: HI crash with 21 votes (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords: release_blocker
: 206457 206552 207242 207312 207326 208022 208050 208098 208731 209219 209221 209237 209275 209330 209421 209686 209832 211611 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-07-22 15:35 UTC by Andreas Stangl
Modified: 2009-12-09 11:34 UTC (History)
15 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Stangl 2009-07-22 15:35:14 UTC
Version:           2.2-SVN (using 4.2.4 (KDE 4.2.4), Gentoo)
Compiler:          x86_64-pc-linux-gnu-gcc
OS:                Linux (x86_64) release 2.6.30-gentoo-r1

Amarok crashes randomly during playback of dynamic playlist. The debug output shows that there might be some "index out of bounds" problems during the bias calculation. My dynamic playlist has only one criterion "Rating >= 3.5 Stars"

My system:
----------------
OS: Gentoo ~amd64
Qt: 4.5.2
KDE: 4.2.4 (KDE 4.2.4)
Amarok: 2.2-SVN
libmp4v2: libmp4v2-1.9.1

Emerge --info stuff:
------------------------------------------
Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.3.3,
glibc-2.10.1-r0, 2.6.30-gentoo-r1 x86_64)
System uname:
Linux-2.6.30-gentoo-r1-x86_64-Intel-R-_Pentium-R-_D_CPU_3.00GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 19 Jul 2009 17:00:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r2, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
[...]

Amarok was compiled with:
-------------------------
CFLAGS="-march=native -O2 -ggdb"
CXXFLAGS="${CFLAGS}"
USE="cdaudio opengl semantic-desktop debug -daap -ipod -mp3tunes -mtp" 
LINGUAS="de"

Here is the info about two crashes.

* Crash 1: debug output
------------------------
amarok:     BEGIN: virtual void Dynamic::BiasSolver::run() 
amarok:       BEGIN: void Dynamic::BiasSolver::computeDomain() 
amarok:         [BiasSolver] Got a bias which says it wants to filter from
collection. 
amarok:         [BiasSolver] and got a proper collectionfiltercapability from
it 
amarok:         [BiasSolver] property size:  458 
amarok:         [BiasSolver] track selected: "Electrohead" "Combichrist" 
ASSERT failure in QList<T>::swap: "index out of range", file
/usr/include/qt4/QtCore/qlist.h, line 474

* Crash 1: stack trace
-----------------------
#0  raise() at :0
#1  abort() at :0
#2  qt_message_output(msgType = QtFatalMsg, buf = <value optimized out>) at
global/qglobal.cpp:2042
#3  qFatal(msg = <value optimized out>) at global/qglobal.cpp:2241
#4  QList<int>::swap(this = 0x7fd49ea35db0, i = 1, j = 0) at
/usr/include/qt4/QtCore/qlist.h:473
#5  Dynamic::BiasSolver::generateInitialPlaylist(this = 0x25ae980, optimal =
@0x7fd49ea35e8f: true) at
/var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/dynamic/BiasSolver.cpp:644
#6  Dynamic::BiasSolver::run(this = 0x25ae980) at
/var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/src/dynamic/BiasSolver.cpp:172
#7  ??() at :0
#8  ThreadWeaver::Job::execute() at :0
#9  ??() at :0
#10  ThreadWeaver::Thread::run() at :0
#11  QThreadPrivate::start(arg = 0x4dda200) at thread/qthread_unix.cpp:188
#12  start_thread() at :0
#13  clone() at :0
#14  ??() at :0

* Crash 2: debug output
------------------------
amarok:     BEGIN: virtual void Dynamic::BiasSolver::run() 
amarok:       BEGIN: void Dynamic::BiasSolver::computeDomain() 
amarok:         [BiasSolver] Got a bias which says it wants to filter from
collection. 
amarok:         [BiasSolver] and got a proper collectionfiltercapability from
it 
amarok:         [BiasSolver] property size:  458 
amarok:       [BiasSolver] chose track from bias 
ASSERT failure in QList<T>::operator[]: "index out of range", file
/usr/include/qt4/QtCore/qlist.h, line 403

* Crash 2: stack trace
-----------------------
#0  raise() at :0
#1  abort() at :0
#2  qt_message_output(msgType = QtFatalMsg, buf = <value optimized out>) at
global/qglobal.cpp:2042
#3  qFatal(msg = <value optimized out>) at global/qglobal.cpp:2241
#4  QList<int>::operator[](this = 0x7f8fdd2d9db0, i = 1) at
/usr/include/qt4/QtCore/qlist.h:403
#5  Dynamic::BiasSolver::generateInitialPlaylist(this = 0x7f8fe803c5e0, optimal
= @0x7f8fdd2d9e8f: true) at
/usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:655
#6  Dynamic::BiasSolver::run(this = 0x7f8fe803c5e0) at
/usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:172
#7  ??() at :0
#8  ThreadWeaver::Job::execute() at :0
#9  ??() at :0
#10  ThreadWeaver::Thread::run() at :0
#11  QThreadPrivate::start(arg = 0x4cfc160) at thread/qthread_unix.cpp:188
#12  start_thread() at :0
#13  clone() at :0
#14  ??() at :0

Sorry about the ??() stuff, I am not 100% sure, what packages are causing these entries. I am currently recompiling my qt4 packages with full debug support.
Comment 1 Leo Franchi 2009-07-22 19:04:52 UTC
is your 1 bias a proportional or fuzzy bias?
Comment 2 Andreas Stangl 2009-07-22 19:13:13 UTC
It's a proportional bias. I've patched some debug info into my BiasSolver.cpp:644 because QList<int>::swap(i = 1, j = 0) should only fail in this case if the list is empty, but I have no proper results yet. This crashes don't happen very often...
Comment 3 Andreas Stangl 2009-07-22 19:58:23 UTC
Got another one, unforunately my debug output helps nothing:

debug output:
---------------
amarok:             [BiasSolver] chose track from bias                                                                                       
amarok:             [BiasSolver] track selected: "Counting Bodies Like Sheep to the Rhythm of the War Drums" "A Perfect Circle"              
amarok:             [BiasSolver] size= 2  swap  1 , 1                                                                                        
amarok:             [BiasSolver] decider is set to: 0.177666 movingWeights is: 1                                                             
amarok:             [BiasSolver] chose track from bias                                                                                       
amarok:             [BiasSolver] decider is set to: 0.496714 movingWeights is: 1                                                             
amarok:         [BiasSolver] track selected: "Erinnerungen (Remix Oktober '94)" "Böhse Onkelz"                                               
amarok:             [BiasSolver] size= 1  swap  1 , 0                                                                                        
ASSERT failure in QList<T>::swap: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 474

The line "[BiasSolver] size= 1  swap  1 , 0" is the debug output is the one I patched into BiasSolver.cpp, line 639 to 646:
int m = m_feasibleCollectionFilters.size();
while( m > 1 )
{
    int k = KRandom::random() % m;
    --m;
    debug() << "size=" << indexes.size() << " swap " << m << "," << k;
    indexes.swap( m, k );
}

stack trace: (unfortunately no new information)
-------------------------------
#0  0x00007fb49016c645 in raise () from /lib/libc.so.6
#1  0x00007fb49016db63 in abort () from /lib/libc.so.6
#2  0x00007fb4904e92e3 in qt_message_output (msgType=QtFatalMsg, buf=<value optimized out>) at global/qglobal.cpp:2042
#3  0x00007fb4904e93f1 in qFatal (msg=<value optimized out>) at global/qglobal.cpp:2241
#4  0x00007fb4919fb7b9 in QList<int>::swap (this=0x7fb44e6a2db0, i=1, j=0) at /usr/include/qt4/QtCore/qlist.h:473
#5  0x00007fb4919f919b in Dynamic::BiasSolver::generateInitialPlaylist (this=0x4b4efd0, optimal=@0x7fb44e6a2e8f)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:645
#6  0x00007fb4919fa1a9 in Dynamic::BiasSolver::run (this=0x4b4efd0)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:172
#7  0x00007fb48c7316d6 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007fb48c73197e in ThreadWeaver::Job::execute () from /usr/lib64/libthreadweaver.so.4
#9  0x00007fb48c730c4e in ?? () from /usr/lib64/libthreadweaver.so.4
#10 0x00007fb48c730ff7 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#11 0x00007fb4904f0d4c in QThreadPrivate::start (arg=0x23af0b0) at thread/qthread_unix.cpp:188
#12 0x00007fb48fcd92c7 in start_thread () from /lib/libpthread.so.0
#13 0x00007fb49020c5ad in clone () from /lib/libc.so.6
#14 0x0000000000000000 in ?? ()
Comment 4 Myriam Schweingruber 2009-07-22 20:54:24 UTC
Andreas, since you are using 2.2-git[1], please make sure you start amarok from a konsole with 'amarok -d --nofork'.

[1] make sure you yous git pull, we do not use SVN anymore since Monday, July 20st, see also here: http://amarok.kde.org/wiki/2.0_Development_HowTo
Comment 5 Andreas Stangl 2009-07-22 22:11:32 UTC
I already noticed as I read http://amarok.kde.org/blog/, my gentoo-ebuild already fetches the source from the new git repository:

zerberus stan # emerge amarok 
Calculating dependencies... done!   

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) media-sound/amarok-9999 from kde
 * checking ebuild checksums ;-) ...                                                             [ ok ]
 * checking auxfile checksums ;-) ...                                                            [ ok ]
 * checking miscfile checksums ;-) ...                                                           [ ok ]
 * Applying custom environment from '/etc/portage/env/media-sound/amarok'
>>> Unpacking source...
 * GIT update -->
 *    repository:               git://gitorious.org/amarok/amarok.git
 *    at the commit:            8842a6d60164cc120e2be081056f8344c5231647
 *    branch:                   master
 *    storage directory:        "/media/linux_data/portage-distfiles/git-src/amarok"
Initialized empty Git repository in /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999/.git/
Switched to a new branch 'branch-master'
>>> Unpacked to /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999
>>> Source unpacked in /var/tmp/portage/media-sound/amarok-9999/work
>>> Preparing source in /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999 ...
 * Applying disable_bindings_test.patch ...                                                       [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-sound/amarok-9999/work/amarok-9999 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/media-sound/amarok-9999/work/amarok-9999_build"

My stack dumps are produced either by nemiver debugger or directly via gdb with "--debug --nofork" as arguments. I am using the gentoo live ebuilds from the kde-testing portage overlay, so I pull in the latest git ressources on every merge.
Comment 6 Andreas Stangl 2009-07-23 13:24:02 UTC
Another "out of range" problem, this time in 
Dynamic::TrackSet::addTracks():
----------------------------------
amarok:     BEGIN: virtual void Dynamic::BiasedPlaylist::recalculate() 
amarok:       BEGIN: void Dynamic::BiasedPlaylist::startSolver(bool) 
amarok:         BEGIN: void ProgressBar::setDescription(const QString&) 
amarok:         END__: void ProgressBar::setDescription(const QString&) - Took 7.1e-05s 
amarok:         BEGIN: void CompoundProgressBar::addProgressBar(ProgressBar*, QObject*) 
amarok:            p before:  QPoint(2,-78) 
amarok:            p after:  QPoint(4,895) 
amarok:           BEGIN: void ProgressBar::setDescription(const QString&) 
amarok:           END__: void ProgressBar::setDescription(const QString&) - Took 5.9e-05s 
amarok:         END__: void CompoundProgressBar::addProgressBar(ProgressBar*, QObject*) - Took 0.00061s 
amarok:         BEGIN: void Dynamic::BiasSolver::prepareToRun() 
amarok:           BEGIN: void Dynamic::BiasSolver::updateUniverse() 
amarok:           END__: void Dynamic::BiasSolver::updateUniverse() - Took 0.001s 
amarok:         END__: void Dynamic::BiasSolver::prepareToRun() - Took 0.0011s 
amarok:       END__: void Dynamic::BiasedPlaylist::startSolver(bool) - Took 0.0024s 
amarok:     END__: virtual void Dynamic::BiasedPlaylist::recalculate() - Took 0.0025s 
amarok:     BEGIN: virtual void Dynamic::BiasedPlaylist::recalculate() 
amarok:       BEGIN: void Dynamic::BiasedPlaylist::startSolver(bool) 
amarok:       END__: void Dynamic::BiasedPlaylist::startSolver(bool) - Took 5.5e-05s 
amarok:     END__: virtual void Dynamic::BiasedPlaylist::recalculate() - Took 0.00017s 
amarok:     BEGIN: void SqlCollection::updateTrackUrlsUids(const ChangedTrackUrls&, const QHash<QString, QString>&) 
amarok:     END__: void SqlCollection::updateTrackUrlsUids(const ChangedTrackUrls&, const QHash<QString, QString>&) - Took 6.8e-05s 
ASSERT: "i >= 0 && i < size()" in file /usr/include/qt4/QtCore/qbitarray.h, line 123

Stack
---------------
#0  raise() at :0
#1  abort() at :0
#2  qt_message_output(msgType = QtFatalMsg, buf = <value optimized out>) at global/qglobal.cpp:2042
#3  qFatal(msg = <value optimized out>) at global/qglobal.cpp:2241
#4  QBitArray::setBit(this = 0x7faf498bcdc0, i = 265613066) at /usr/include/qt4/QtCore/qbitarray.h:123
#5  Dynamic::TrackSet::addTracks(this = 0x7faf498bcdc0, uidSet = <value optimized out>) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/TrackSet.cpp:107
#6  Dynamic::BiasSolver::computeDomain(this = 0x7faf4407bf00) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:785
#7  Dynamic::BiasSolver::run(this = 0x7faf4407bf00) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:153
#8  ??() at :0
#9  ThreadWeaver::Job::execute() at :0
#10  ??() at :0
#11  ThreadWeaver::Thread::run() at :0
#12  QThreadPrivate::start(arg = 0x3784e00) at thread/qthread_unix.cpp:188
#13  start_thread() at :0
#14  clone() at :0
#15  ??() at :0

The debugger tells me that in "void Dynamic::TrackSet::addTracks( const QSet<QByteArray>& uidSet )" the value of i ("int i = U.indexOf( t );") is 0, but in QBitArray::setBit() it is 265613066
Comment 7 Myriam Schweingruber 2009-08-09 14:48:47 UTC
Changing priority to high
Comment 8 Andreas Stangl 2009-08-15 20:51:36 UTC
I noticed some commits related to the handling of missing files and dynamic playlists and it seems that the crashes are gone. I will observe this for a couple of days and mark this this bug as fixed if my dynamic playlist keeps running as soothly as it does right now.
Comment 9 Andreas Stangl 2009-08-21 19:49:26 UTC
Amarok still crashes with dynamic playlists, so I leave this bug open :-(

amarok:         [BiasSolver] decider is set to: 0.38 movingWeights is: 0.846939                                                              
amarok:         [BiasSolver] chose track from bias                                                                                           
amarok:         [BiasSolver] decider is set to: 0.334832 movingWeights is: 0.846939                                                          
amarok:         [BiasSolver] chose track from bias                                                                                           
amarok:         [BiasSolver] track selected: "Take Me To The Hospital" "The Prodigy"                                                         
amarok:         [BiasSolver] decider is set to: 0.995387 movingWeights is: 0.845361                                                          
amarok:         [BiasSolver] bias NOT chosen.
ASSERT failure in QList<T>::swap: "index out of range", file /usr/include/qt4/QtCore/qlist.h, line 474
Comment 10 Andreas Stangl 2009-08-30 14:41:21 UTC
I'll keep posting stack dumps of these crashes:

#0  raise() at :0
#1  abort() at :0
#2  qt_message_output(msgType = QtFatalMsg, buf = <value optimized out>) at global/qglobal.cpp:2042
#3  qFatal(msg = <value optimized out>) at global/qglobal.cpp:2241
#4  QList<QByteArray>::operator[](this = 0x565e388, i = 59235872) at /usr/include/qt4/QtCore/qlist.h:399
#5  Dynamic::BiasSolver::getRandomTrack(this = 0x565e320, subset = ) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:732
#6  Dynamic::BiasSolver::generateInitialPlaylist(this = 0x565e320, optimal = @0x7f66f916fe8f: true) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:598
#7  Dynamic::BiasSolver::run(this = 0x565e320) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:172
#8  ??() at :0
#9  ThreadWeaver::Job::execute() at :0
#10  ??() at :0
#11  ThreadWeaver::Thread::run() at :0
#12  QThreadPrivate::start(arg = 0x1e0da80) at thread/qthread_unix.cpp:188
#13  start_thread() at :0
#14  clone() at :0
#15  ??() at :0

Can really nobody confirm these crashes?
Comment 11 Myriam Schweingruber 2009-09-05 11:43:12 UTC
As it seems, no. Could you try getting a backtrace with Dr. Konqi maybe?
Comment 12 Andreas Stangl 2009-09-05 13:23:42 UTC
I would if I knew how. Dr. Konqi does not show up after amarok crashes and I have no idea how to start it manually... :-/

I already tried it by uncommenting the line 

#define AMAROK_USE_DRKONQI

in main.cpp but it had no effect, dr. konqi still does not start after the crash. 
Is it because amarok crashes not with SIGSEGV but with SIGABORT? Any ideas?
Comment 13 Andreas Stangl 2009-09-05 15:07:57 UTC
Hm, I don't know why, but drkonqi suddenly showed up after this crash. So here is the stack dump:

Application: Amarok (amarok), signal: Aborted
[Current thread is 0 (LWP 5691)]

Thread 20 (Thread 0x7f929dd32910 (LWP 5692)):
#0  0x00007f92b19c123d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f92a3188882 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#3  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7f929d531910 (LWP 5693)):
#0  0x00007f92aad2b2cb in ?? () from /usr/lib/libgthread-2.0.so.0
#1  0x00007f92aa8a1b4d in g_thread_self () from /usr/lib/libglib-2.0.so.0
#2  0x00007f92aa881665 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f92b301cdc5 in QEventDispatcherGlib::processEvents (this=0x8af580, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007f92b2ffaf42 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f92b2ffb0cc in QEventLoop::exec (this=0x7f929d530f30, flags=) at kernel/qeventloop.cpp:197
#6  0x00007f92b2f373ad in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f92a33ddd2e in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f92b2f39997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#9  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#10 0x00007f92b1ee756d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f929cb26910 (LWP 5696)):
#0  0x00007f92b1ede8a3 in poll () from /lib/libc.so.6
#1  0x00007f929cb2b894 in ?? () from /usr/lib64/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#3  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f9297fff910 (LWP 5697)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f92a3195505 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f92a3196d1d in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f9295146910 (LWP 5699)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f9295f63813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f9295f66f8f in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f9295f2b4e3 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007f9295fa7e47 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#6  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f9293cea910 (LWP 5700)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f9295f63813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f9295f66f8f in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f9295f2b4e3 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007f9295fa7e47 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#6  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f92934e9910 (LWP 5701)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f9295f63813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f9295f66f8f in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f9295f2b4e3 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007f9295fa7e47 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#6  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f9292ce8910 (LWP 5702)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f9295f63813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f9295f66f8f in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f9295f2b4e3 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007f9295fa7e47 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#6  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f92917d0910 (LWP 5704)):
#0  0x00007f92b1ee0cf2 in select () from /lib/libc.so.6
#1  0x00007f9295f63bd4 in os_thread_sleep () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f9295fa481e in srv_lock_timeout_and_monitor_thread () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f9290fcf910 (LWP 5705)):
#0  0x00007f92b1ee0cf2 in select () from /lib/libc.so.6
#1  0x00007f9295f63bd4 in os_thread_sleep () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f9295fa1ad8 in srv_error_monitor_thread () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f92907ce910 (LWP 5706)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f9295f63813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f9295fa2126 in srv_master_thread () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f928c8e0910 (LWP 5707)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f92b2f3a698 in QWaitCondition::wait (this=<value optimized out>, mutex=0x7f9298419620, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f92ae6e74f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f92ae6e9090 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f92ae6e90a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f92ae6e7b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f92ae6e7ec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f92b2f39997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#8  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#9  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f928c0df910 (LWP 5708)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f92b2f3a698 in QWaitCondition::wait (this=<value optimized out>, mutex=0x7f9298419620, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f92ae6e74f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f92ae6e9090 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f92ae6e7b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f92ae6e7ec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f92b2f39997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#7  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#8  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f928b8de910 (LWP 5709)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f92b2f3a698 in QWaitCondition::wait (this=<value optimized out>, mutex=0x7f9298419620, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f92ae6e74f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f92ae6e9090 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f92ae6e90a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f92ae6e7b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f92ae6e7ec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f92b2f39997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#8  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#9  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f928b0dd910 (LWP 5710)):
[KCrash Handler]
#5  0x00007f92b1e4c095 in raise () from /lib/libc.so.6
#6  0x00007f92b1e4d4c0 in abort () from /lib/libc.so.6
#7  0x00007f92b2f3367d in qt_message_output (msgType=QtFatalMsg, buf=<value optimized out>) at global/qglobal.cpp:2042
#8  0x00007f92b2f3378b in qFatal (msg=<value optimized out>) at global/qglobal.cpp:2241
#9  0x00007f92b39cab56 in QList<int>::swap (this=0x7f928b0dcdb0, i=1, j=1) at /usr/include/qt4/QtCore/qlist.h:473
#10 0x00007f92b39c8564 in Dynamic::BiasSolver::generateInitialPlaylist (this=<value optimized out>, optimal=<value optimized out>)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:644
#11 0x00007f92b39c9589 in Dynamic::BiasSolver::run (this=0x7f9299eaf7a0) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:172
#12 0x00007f92ae6e85c5 in ?? () from /usr/lib64/libthreadweaver.so.4
#13 0x00007f92ae6e884c in ThreadWeaver::Job::execute () from /usr/lib64/libthreadweaver.so.4
#14 0x00007f92ae6e7b0e in ?? () from /usr/lib64/libthreadweaver.so.4
#15 0x00007f92ae6e7ec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#16 0x00007f92b2f39997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#17 0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#18 0x00007f92b1ee756d in clone () from /lib/libc.so.6
#19 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f928427a910 (LWP 5723)):
#0  0x00007f92b1ee0cf2 in select () from /lib/libc.so.6
#1  0x00007f92a31ab071 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x00007f92a3193fbb in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f927bbf7910 (LWP 5724)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f92a318b606 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f92a319082b in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f927b3f6910 (LWP 5725)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f92a318b606 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f92a31917ff in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f927abf5910 (LWP 5726)):
#0  0x00007f92b19c0fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f92a319950c in xine_event_wait () from /usr/lib64/libxine.so.1
#2  0x00007f92a319957b in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f92b19bc614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f92b1ee756d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f92b45537a0 (LWP 5691)):
#0  0x00007f92b1ede8a3 in poll () from /lib/libc.so.6
#1  0x00007f92a96fbaa9 in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f92a96fbf96 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007f92a96fc1e5 in xcb_writev () from /usr/lib/libxcb.so.1
#4  0x00007f92b12accda in _XSend () from /usr/lib64/libX11.so.6
#5  0x00007f92b12acdc2 in _XReply () from /usr/lib64/libX11.so.6
#6  0x00007f92b12a3579 in XTranslateCoordinates () from /usr/lib64/libX11.so.6
#7  0x00007f92b267bdc6 in QWidget::mapToGlobal (this=0x19b4460, pos=<value optimized out>) at kernel/qwidget_x11.cpp:1176
#8  0x00007f92b2b275c8 in QSystemTrayIconPrivate::geometry_sys (this=<value optimized out>) at util/qsystemtrayicon_x11.cpp:343
#9  0x00007f92b2b17499 in QSystemTrayIcon::geometry (this=<value optimized out>) at util/qsystemtrayicon.cpp:256
#10 0x00007f92b3b0ddae in Amarok::TrayIcon::paintIcon (this=0x19be5e0, trackPosition=96600) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/Systray.cpp:401
#11 0x00007f92b3aa80dc in EngineSubject::trackPositionChangedNotify (this=<value optimized out>, position=96600, userSeek=false)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/EngineObserver.cpp:183
#12 0x00007f92b3aa6835 in EngineController::qt_metacall (this=0x72b3d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff20e64f0)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999_build/src/EngineController.moc:149
#13 0x00007f92b300bb03 in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0xffffffffffffffff)
    at kernel/qobject.cpp:3101
#14 0x00007f92ae24436a in Phonon::MediaObject::tick () from /usr/lib64/libphonon.so.4
#15 0x00007f92ae246564 in Phonon::MediaObject::qt_metacall () from /usr/lib64/libphonon.so.4
#16 0x00007f92b300bb03 in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0xffffffffffffffff)
    at kernel/qobject.cpp:3101
#17 0x00007f92a33f37b6 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#18 0x00007f92a33f7634 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#19 0x00007f92b3008cf0 in QObject::event (this=0x7d45d0, e=0x1df3020) at kernel/qobject.cpp:1099
#20 0x00007f92b2610cf5 in QApplicationPrivate::notify_helper (this=0x728a30, receiver=0x7d45d0, e=0x1df3020) at kernel/qapplication.cpp:4056
#21 0x00007f92b2616cc4 in QApplication::notify (this=0x7ffff20e6f50, receiver=0x7d45d0, e=0x1df3020) at kernel/qapplication.cpp:4021
#22 0x00007f92b40b0cf8 in KApplication::notify () from /usr/lib64/libkdeui.so.5
#23 0x00007f92b2ffc20c in QCoreApplication::notifyInternal (this=0x7ffff20e6f50, receiver=0x7d45d0, event=0x1df3020) at kernel/qcoreapplication.cpp:606
#24 0x00007f92b2ffc918 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x611ff0) at kernel/qcoreapplication.h:213
#25 0x00007f92b301d08f in postEventSourceDispatch (s=<value optimized out>) at kernel/qcoreapplication.h:218
#26 0x00007f92aa87e3dd in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0x00007f92aa881519 in ?? () from /usr/lib/libglib-2.0.so.0
#28 0x00007f92aa881678 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#29 0x00007f92b301cd8d in QEventDispatcherGlib::processEvents (this=0x611d70, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#30 0x00007f92b2689832 in QGuiEventDispatcherGlib::processEvents (this=0x7ffff20e5f90, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#31 0x00007f92b2ffaf42 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#32 0x00007f92b2ffb0cc in QEventLoop::exec (this=0x7ffff20e6ef0, flags=) at kernel/qeventloop.cpp:197
#33 0x00007f92b2ffcb29 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#34 0x00000000004055b0 in main (argc=1, argv=0x7ffff20e8c78) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/main.cpp:216
Comment 14 Andreas Stangl 2009-09-05 15:20:06 UTC
Application: Amarok (amarok), signal: Aborted
[Current thread is 0 (LWP 6120)]

Thread 19 (Thread 0x7f1186925910 (LWP 6121)):
#0  0x00007f119a5b423d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f118bd7b882 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#3  0x00007f119aada56d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7f1186124910 (LWP 6122)):
#0  0x00007f119a5b321e in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0x00007f1193473da0 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007f1193474197 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f1193474678 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f119bc0fdc5 in QEventDispatcherGlib::processEvents (this=0x86a100, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#5  0x00007f119bbedf42 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f119bbee0cc in QEventLoop::exec (this=0x7f1186123f30, flags=) at kernel/qeventloop.cpp:197
#7  0x00007f119bb2a3ad in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f118bfd0d2e in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#9  0x00007f119bb2c997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#10 0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#11 0x00007f119aada56d in clone () from /lib/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7f1185719910 (LWP 6125)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f118bd88505 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f118bd89d1d in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f119aada56d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f1184f18910 (LWP 6127)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f117eba7813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f117ebaaf8f in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f117eb6f4e3 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007f117ebebe47 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#6  0x00007f119aada56d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7f117d12f910 (LWP 6128)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f117eba7813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f117ebaaf8f in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f117eb6f4e3 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007f117ebebe47 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#6  0x00007f119aada56d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f117c92e910 (LWP 6129)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f117eba7813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f117ebaaf8f in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f117eb6f4e3 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007f117ebebe47 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#6  0x00007f119aada56d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f117c12d910 (LWP 6130)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f117eba7813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f117ebaaf8f in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f117eb6f4e3 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007f117ebebe47 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#6  0x00007f119aada56d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f117ac15910 (LWP 6132)):
#0  0x00007f119aad3cf2 in select () from /lib/libc.so.6
#1  0x00007f117eba7bd4 in os_thread_sleep () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f117ebe881e in srv_lock_timeout_and_monitor_thread () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f119aada56d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f117a414910 (LWP 6133)):
#0  0x00007f119aad3cf2 in select () from /lib/libc.so.6
#1  0x00007f117eba7bd4 in os_thread_sleep () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f117ebe5ad8 in srv_error_monitor_thread () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f119aada56d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f1179c13910 (LWP 6134)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f117eba7813 in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f117ebe6126 in srv_master_thread () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f119aada56d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f1175d25910 (LWP 6135)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f119bb2d698 in QWaitCondition::wait (this=<value optimized out>, mutex=0x1fb10e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f11972da4f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f11972dc090 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f11972dab3e in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f11972daec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f119bb2c997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#7  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#8  0x00007f119aada56d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f1175524910 (LWP 6136)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f119bb2d698 in QWaitCondition::wait (this=<value optimized out>, mutex=0x1fb10e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f11972da4f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f11972dc090 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f11972dab3e in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f11972daec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f119bb2c997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#7  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#8  0x00007f119aada56d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f1174d23910 (LWP 6138)):
[KCrash Handler]
#5  0x00007f119aa3f095 in raise () from /lib/libc.so.6
#6  0x00007f119aa404c0 in abort () from /lib/libc.so.6
#7  0x00007f119bb2667d in qt_message_output (msgType=QtFatalMsg, buf=<value optimized out>) at global/qglobal.cpp:2042
#8  0x00007f119bb2678b in qFatal (msg=<value optimized out>) at global/qglobal.cpp:2241
#9  0x00007f119c5bdb56 in QList<int>::swap (this=0x7f1174d22db0, i=1, j=1) at /usr/include/qt4/QtCore/qlist.h:473
#10 0x00007f119c5bb564 in Dynamic::BiasSolver::generateInitialPlaylist (this=<value optimized out>, optimal=<value optimized out>)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:644
#11 0x00007f119c5bc589 in Dynamic::BiasSolver::run (this=0x2004460) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/dynamic/BiasSolver.cpp:172
#12 0x00007f11972db5c5 in ?? () from /usr/lib64/libthreadweaver.so.4
#13 0x00007f11972db84c in ThreadWeaver::Job::execute () from /usr/lib64/libthreadweaver.so.4
#14 0x00007f11972dab0e in ?? () from /usr/lib64/libthreadweaver.so.4
#15 0x00007f11972daec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#16 0x00007f119bb2c997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#17 0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#18 0x00007f119aada56d in clone () from /lib/libc.so.6
#19 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f1174522910 (LWP 6139)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f119bb2d698 in QWaitCondition::wait (this=<value optimized out>, mutex=0x1fb10e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f11972da4f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f11972dc090 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f11972dab3e in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f11972daec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f119bb2c997 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#7  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#8  0x00007f119aada56d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f116f7ba910 (LWP 6194)):
#0  0x00007f119aad3cf2 in select () from /lib/libc.so.6
#1  0x00007f118bd9e071 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x00007f118bd86fbb in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f119aada56d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f116efb9910 (LWP 6195)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f118bd7e606 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f118bd8382b in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f119aada56d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f116e3af910 (LWP 6196)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f118bd7e606 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f118bd847ff in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f119aada56d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f116dbae910 (LWP 6197)):
#0  0x00007f119a5b3fb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f118bd8c50c in xine_event_wait () from /usr/lib64/libxine.so.1
#2  0x00007f118bd8c57b in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f119a5af614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f119aada56d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f119d1467a0 (LWP 6120)):
#0  0x00007f119aad18a3 in poll () from /lib/libc.so.6
#1  0x00007f11922eeaa9 in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f11922eef96 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007f11922ef1e5 in xcb_writev () from /usr/lib/libxcb.so.1
#4  0x00007f1199e9fcda in _XSend () from /usr/lib64/libX11.so.6
#5  0x00007f1199e9fdc2 in _XReply () from /usr/lib64/libX11.so.6
#6  0x00007f1199e96579 in XTranslateCoordinates () from /usr/lib64/libX11.so.6
#7  0x00007f119b26edc6 in QWidget::mapToGlobal (this=0x22947a0, pos=<value optimized out>) at kernel/qwidget_x11.cpp:1176
#8  0x00007f119b71a5c8 in QSystemTrayIconPrivate::geometry_sys (this=<value optimized out>) at util/qsystemtrayicon_x11.cpp:343
#9  0x00007f119b70a499 in QSystemTrayIcon::geometry (this=<value optimized out>) at util/qsystemtrayicon.cpp:256
#10 0x00007f119c700dae in Amarok::TrayIcon::paintIcon (this=0x2288030, trackPosition=27585) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/Systray.cpp:401
#11 0x00007f119c69b0dc in EngineSubject::trackPositionChangedNotify (this=<value optimized out>, position=27585, userSeek=false)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/EngineObserver.cpp:183
#12 0x00007f119c699835 in EngineController::qt_metacall (this=0x733700, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff9f0291d0)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999_build/src/EngineController.moc:149
#13 0x00007f119bbfeb03 in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x7f119aad18a3)
    at kernel/qobject.cpp:3101
#14 0x00007f1196e3736a in Phonon::MediaObject::tick () from /usr/lib64/libphonon.so.4
#15 0x00007f1196e39564 in Phonon::MediaObject::qt_metacall () from /usr/lib64/libphonon.so.4
#16 0x00007f119bbfeb03 in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x7f119aad18a3)
    at kernel/qobject.cpp:3101
#17 0x00007f118bfe67b6 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#18 0x00007f118bfea634 in ?? () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#19 0x00007f119bbfbcf0 in QObject::event (this=0x86e130, e=0x7f11601eea20) at kernel/qobject.cpp:1099
#20 0x00007f119b203cf5 in QApplicationPrivate::notify_helper (this=0x727e90, receiver=0x86e130, e=0x7f11601eea20) at kernel/qapplication.cpp:4056
#21 0x00007f119b209cc4 in QApplication::notify (this=0x7fff9f029c30, receiver=0x86e130, e=0x7f11601eea20) at kernel/qapplication.cpp:4021
#22 0x00007f119cca3cf8 in KApplication::notify () from /usr/lib64/libkdeui.so.5
#23 0x00007f119bbef20c in QCoreApplication::notifyInternal (this=0x7fff9f029c30, receiver=0x86e130, event=0x7f11601eea20) at kernel/qcoreapplication.cpp:606
#24 0x00007f119bbef918 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x611ff0) at kernel/qcoreapplication.h:213
#25 0x00007f119bc1008f in postEventSourceDispatch (s=<value optimized out>) at kernel/qcoreapplication.h:218
#26 0x00007f11934713dd in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0x00007f1193474519 in ?? () from /usr/lib/libglib-2.0.so.0
#28 0x00007f1193474678 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#29 0x00007f119bc0fd8d in QEventDispatcherGlib::processEvents (this=0x611d70, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#30 0x00007f119b27c832 in QGuiEventDispatcherGlib::processEvents (this=0x7fff9f028c70, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#31 0x00007f119bbedf42 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#32 0x00007f119bbee0cc in QEventLoop::exec (this=0x7fff9f029bd0, flags=) at kernel/qeventloop.cpp:197
#33 0x00007f119bbefb29 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#34 0x00000000004055b0 in main (argc=1, argv=0x7fff9f02b958) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/main.cpp:216
Comment 15 Leo Franchi 2009-09-05 15:47:25 UTC
thanks for all the debug output and stack traces, i have a clear idea of the crash itself. i haven't really had a chance yet to investigate why it might be happening, but thanks for the info. i dont think I need any more stack traces :P
Comment 16 Mikko C. 2009-09-06 10:28:37 UTC
*** Bug 206457 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2009-09-06 22:11:12 UTC
*** Bug 206552 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2009-09-13 13:44:08 UTC
*** Bug 207242 has been marked as a duplicate of this bug. ***
Comment 19 Mikko C. 2009-09-14 08:06:58 UTC
*** Bug 207312 has been marked as a duplicate of this bug. ***
Comment 20 Mikko C. 2009-09-14 08:07:35 UTC
confirming since it happens to lots of people.
Comment 21 Mikko C. 2009-09-14 10:32:51 UTC
*** Bug 207326 has been marked as a duplicate of this bug. ***
Comment 22 Mikko C. 2009-09-20 22:23:31 UTC
*** Bug 208022 has been marked as a duplicate of this bug. ***
Comment 23 Mikko C. 2009-09-21 09:10:50 UTC
*** Bug 208050 has been marked as a duplicate of this bug. ***
Comment 24 Myriam Schweingruber 2009-09-21 23:03:30 UTC
*** Bug 208098 has been marked as a duplicate of this bug. ***
Comment 25 Myriam Schweingruber 2009-09-28 12:16:25 UTC
*** Bug 208731 has been marked as a duplicate of this bug. ***
Comment 26 Mikko C. 2009-09-28 18:16:26 UTC
I'm not sure this is the same bug, but it's easily reproducible, you just need to change the rating of a song quickly, more than once: it will crash at the 2nd or 3rd time.

Backtrace:
[KCrash Handler]
#5  0x00007f7b0997608a in QByteArray::size (this=0x7f7abfd74320) at /usr/include/qt4/QtCore/qbytearray.h:377
#6  0x00007f7b09b066c0 in operator== (a1=@0x7f7abfd74320, a2=@0x61f9c40) at /usr/include/qt4/QtCore/qbytearray.h:502
#7  0x00007f7b09b13c98 in QList<QByteArray>::indexOf (this=0x7f7b0a0eea08, t=@0x61f9c40, from=0) at /usr/include/qt4/QtCore/qlist.h:637
#8  0x00007f7b09b1383c in Dynamic::TrackSet::addTracks (this=0x7f7adf288e30, uidSet=@0x23aea78) at /home/mikko/amarok/src/dynamic/TrackSet.cpp:105
#9  0x00007f7b09b135f5 in TrackSet (this=0x7f7adf288e30, uidSet=@0x23aea78) at /home/mikko/amarok/src/dynamic/TrackSet.cpp:38
#10 0x00007f7b09b0ffd9 in Dynamic::BiasSolver::computeDomain (this=0x55ab1e0) at /home/mikko/amarok/src/dynamic/BiasSolver.cpp:785
#11 0x00007f7b09b0de3a in Dynamic::BiasSolver::run (this=0x55ab1e0) at /home/mikko/amarok/src/dynamic/BiasSolver.cpp:153
#12 0x00007f7b044da123 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7f7adf288f50, th=0x23e1b50, job=0x55ab1e0)
    at /var/tmp/paludis/kde-base-kdelibs-9999/work/kdelibs-9999/threadweaver/Weaver/Job.cpp:106
#13 0x00007f7b044da2e2 in ThreadWeaver::Job::execute (this=0x55ab1e0, th=0x23e1b50) at /var/tmp/paludis/kde-base-kdelibs-9999/work/kdelibs-9999/threadweaver/Weaver/Job.cpp:135
#14 0x00007f7b044d973f in ThreadWeaver::ThreadRunHelper::run (this=0x7f7adf288ff0, parent=0x23e1070, th=0x23e1b50)
    at /var/tmp/paludis/kde-base-kdelibs-9999/work/kdelibs-9999/threadweaver/Weaver/Thread.cpp:95
#15 0x00007f7b044d9894 in ThreadWeaver::Thread::run (this=0x23e1b50) at /var/tmp/paludis/kde-base-kdelibs-9999/work/kdelibs-9999/threadweaver/Weaver/Thread.cpp:142
#16 0x00007f7b08fa7523 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#17 0x00007f7b0794a414 in start_thread () from /lib/libpthread.so.0
#18 0x00007f7b07e79abd in clone () from /lib/libc.so.6
#19 0x0000000000000000 in ?? ()
Comment 27 Ionut Ciocirlan 2009-10-02 08:58:37 UTC
My version of this bug: i've created the following playlist:
  <playlist title="Favourites" >
    <bias type="global" >
      <weight value="0.2" />
      <query version="1.0" >
        <filters>
          <include field="rating" value="6" compare="greater" />
        </filters>
        <order value="random" />
      </query>
    </bias>
    <bias type="global" >
      <weight value="0.6" />
      <query version="1.0" >
        <filters>
          <include field="score" value="50" compare="greater" />
        </filters>
        <order value="random" />
      </query>
    </bias>
  </playlist>

The moment i hit repopulate Amarok crashes. If i remove either bias, all is fine.
Using 2.2.0 from debian sources, compiled with -march=nocona -O2 -pipe -fomit-frame-pointer -fdirectives-only

And yet another backtrace:

Application: Amarok (amarok), signal: Segmentation fault
pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S
[Current thread is 1 (Thread 0x7f18928d37a0 (LWP 28434))]

Thread 14 (Thread 0x7f188a33f950 (LWP 28435)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
#1  0x00007f188dac5c91 in metronom_sync_loop (this=<value optimized out>) at metronom.c:870
#2  0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f18894ac950 (LWP 28436)):
#0  0x00007f1891c3dd36 in *__GI___poll (fds=0x1daed90, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000030d483e859 in g_main_context_poll (context=<value optimized out>, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>)
    at /tmp/buildd/glib2.0-2.22.0/glib/gmain.c:2904
#2  g_main_context_iterate (context=<value optimized out>, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at /tmp/buildd/glib2.0-2.22.0/glib/gmain.c:2586
#3  0x00000030d483eb3c in IA__g_main_context_iteration (context=<value optimized out>, may_block=<value optimized out>) at /tmp/buildd/glib2.0-2.22.0/glib/gmain.c:2654
#4  0x00000030d617ac1e in QEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#5  0x00000030d6150de2 in QEventLoop::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventloop.cpp:149
#6  0x00000030d61511b4 in QEventLoop::exec (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventloop.cpp:201
#7  0x00000030d6069558 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#8  0x00007f188dd206ec in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#9  0x00000030d606c475 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#10 0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f1888aa2950 (LWP 28439)):
#0  0x00007f1891c3dd36 in *__GI___poll (fds=0x7f1888aa1f80, nfds=1, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f1888aa7899 in my_snd_mixer_wait (data=<value optimized out>) at audio_alsa_out.c:150
#2  ao_alsa_handle_event_thread (data=<value optimized out>) at audio_alsa_out.c:166
#3  0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f18882a1950 (LWP 28440)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f188dad6af3 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f1887697950 (LWP 28441)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f188dad6af3 in fifo_peek_int (this_gen=<value optimized out>) at audio_out.c:348
#2  fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#5  0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f187f1d8950 (LWP 28442)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000030d606d469 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=<value optimized out>, time=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=<value optimized out>, time=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00000030df20ae04 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00000030df20d54b in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00000030df20d564 in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00000030df20d564 in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00000030df20bb1f in ThreadWeaver::ThreadRunHelper::run (this=<value optimized out>, parent=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00000030df20bf59 in ThreadWeaver::Thread::run (this=<value optimized out>) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00000030d606c475 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#10 0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#11 0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f187e9d7950 (LWP 28443)):
[KCrash Handler]
#5  0x00007f18921d1c4a in Dynamic::BiasSolver::getRandomTrack(QList<QByteArray> const&) () from /usr/lib/libamaroklib.so.1
#6  0x00007f18921d275f in Dynamic::BiasSolver::generateInitialPlaylist(bool&) () from /usr/lib/libamaroklib.so.1
#7  0x00007f18921d492f in Dynamic::BiasSolver::run() () from /usr/lib/libamaroklib.so.1
#8  0x00000030df20c7ec in ThreadWeaver::JobRunHelper::runTheJob (this=<value optimized out>, th=<value optimized out>, job=<value optimized out>) at ../../../threadweaver/Weaver/Job.cpp:106
#9  0x00000030df20cb0f in ThreadWeaver::Job::execute (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/Job.cpp:135
#10 0x00000030df20baef in ThreadWeaver::ThreadRunHelper::run (this=<value optimized out>, parent=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/Thread.cpp:95
#11 0x00000030df20bf59 in ThreadWeaver::Thread::run (this=<value optimized out>) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x00000030d606c475 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#13 0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#14 0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f187e1d6950 (LWP 28444)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000030d606d469 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=<value optimized out>, time=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=<value optimized out>, time=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00000030df20ae04 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00000030df20d54b in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00000030df20d564 in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00000030df20d564 in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00000030df20d564 in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00000030df20d564 in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00000030df20d564 in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00000030df20d564 in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00000030df20bb1f in ThreadWeaver::ThreadRunHelper::run (this=<value optimized out>, parent=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/Thread.cpp:87
#12 0x00000030df20bf59 in ThreadWeaver::Thread::run (this=<value optimized out>) at ../../../threadweaver/Weaver/Thread.cpp:142
#13 0x00000030d606c475 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#14 0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#15 0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#16 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f187d9d5950 (LWP 28445)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00000030d606d469 in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=<value optimized out>, time=<value optimized out>) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=<value optimized out>, time=<value optimized out>) at thread/qwaitcondition_unix.cpp:159
#3  0x00000030df20ae04 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00000030df20d54b in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00000030df20d564 in ThreadWeaver::WorkingHardState::applyForWork (this=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00000030df20bb1f in ThreadWeaver::ThreadRunHelper::run (this=<value optimized out>, parent=<value optimized out>, th=<value optimized out>) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00000030df20bf59 in ThreadWeaver::Thread::run (this=<value optimized out>) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00000030d606c475 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#9  0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f187cbb0950 (LWP 28446)):
#0  0x00007f1891c3ff02 in select () from /lib/libc.so.6
#1  0x00007f188daee274 in xine_usec_sleep (usec=<value optimized out>) at utils.c:481
#2  0x00007f188dad365b in video_out_loop (this_gen=<value optimized out>) at video_out.c:1246
#3  0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f187bfc6950 (LWP 28447)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f188dac965b in fifo_buffer_get (fifo=<value optimized out>) at buffer.c:230
#2  0x00007f188dacf37e in video_decoder_loop (stream_gen=<value optimized out>) at video_decoder.c:130
#3  0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f187b5f8950 (LWP 28448)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f188dac965b in fifo_buffer_get (fifo=<value optimized out>) at buffer.c:230
#2  0x00007f188dad03fe in audio_decoder_loop (stream_gen=<value optimized out>) at audio_decoder.c:66
#3  0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f187adf7950 (LWP 28449)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f188dad970b in xine_event_wait (queue_gen=<value optimized out>) at events.c:56
#2  listener_loop (queue_gen=<value optimized out>) at events.c:214
#3  0x00007f18914d6f9a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f1891c4656d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f18928d37a0 (LWP 28434)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:217
#1  0x00000030d606bee5 in thread_sleep (ti=<value optimized out>) at thread/qthread_unix.cpp:297
#2  0x00000030d606c03e in QThread::msleep (msecs=<value optimized out>) at thread/qthread_unix.cpp:323
#3  0x00007f188dd441aa in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#4  0x00000030dc232f37 in ~FactoryPrivate (this=<value optimized out>, __in_chrg=<value optimized out>) at ../3rdparty/phonon/phonon/factory.cpp:199
#5  0x00007f1891bb043d in *__GI_exit (status=1) at exit.c:75
#6  0x00000030d7e33e78 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:707
#7  0x00000030d8c23e68 in KApplication::xioErrhandler (this=<value optimized out>, dpy=<value optimized out>) at ../../kdeui/kernel/kapplication.cpp:408
#8  0x00000037b9e470ce in _XIOError () from /usr/lib/libX11.so.6
#9  0x00000037b9e4e028 in ?? () from /usr/lib/libX11.so.6
#10 0x00000037b9e4e937 in _XEventsQueued () from /usr/lib/libX11.so.6
#11 0x00000037b9e37cdb in XEventsQueued () from /usr/lib/libX11.so.6
#12 0x00000030d7e6e80c in x11EventSourceCheck (s=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:87
#13 0x00000030d483dfec in IA__g_main_context_check (context=<value optimized out>, max_priority=<value optimized out>, fds=<value optimized out>, n_fds=<value optimized out>)
    at /tmp/buildd/glib2.0-2.22.0/glib/gmain.c:2469
#14 0x00000030d483e8a1 in g_main_context_iterate (context=<value optimized out>, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>)
    at /tmp/buildd/glib2.0-2.22.0/glib/gmain.c:2588
#15 0x00000030d483eb3c in IA__g_main_context_iteration (context=<value optimized out>, may_block=<value optimized out>) at /tmp/buildd/glib2.0-2.22.0/glib/gmain.c:2654
#16 0x00000030d617abff in QEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#17 0x00000030d7e6e64f in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#18 0x00000030d6150de2 in QEventLoop::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventloop.cpp:149
#19 0x00000030d61511b4 in QEventLoop::exec (this=<value optimized out>, flags=<value optimized out>) at kernel/qeventloop.cpp:201
#20 0x00000030d6153424 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#21 0x0000000000408f6d in main ()
Comment 28 Modestas Vainius 2009-10-02 15:34:12 UTC
*** Bug 209219 has been marked as a duplicate of this bug. ***
Comment 29 Modestas Vainius 2009-10-02 15:46:53 UTC
*** Bug 209221 has been marked as a duplicate of this bug. ***
Comment 30 Myriam Schweingruber 2009-10-02 21:39:29 UTC
*** Bug 209237 has been marked as a duplicate of this bug. ***
Comment 31 Mikko C. 2009-10-03 10:11:32 UTC
*** Bug 209275 has been marked as a duplicate of this bug. ***
Comment 32 Mark Kretschmann 2009-10-03 10:36:47 UTC
I've fixed one bug in the BiasSolver code (but there are probably more):


commit 8a809ec0db4dc1c906f857fe859c72ad7afbcf7b
Author: Mark Kretschmann <kretschmann@kde.org>
Date:   Sat Oct 3 10:31:44 2009 +0200

    Fix potential crash in BiasSolver (dereferencing 0-pointer).

    CCBUG: 201111
Comment 33 Dario Andres 2009-10-03 20:18:26 UTC
*** Bug 209330 has been marked as a duplicate of this bug. ***
Comment 34 Mikko C. 2009-10-04 18:15:42 UTC
*** Bug 209421 has been marked as a duplicate of this bug. ***
Comment 35 Myriam Schweingruber 2009-10-07 01:05:23 UTC
*** Bug 209686 has been marked as a duplicate of this bug. ***
Comment 36 Mikko C. 2009-10-08 07:47:00 UTC
*** Bug 209832 has been marked as a duplicate of this bug. ***
Comment 37 Leo Franchi 2009-10-08 17:57:52 UTC
the number of crashes should be way reduced. I can still get it to crash if I try really hard (madly changing ratings on a very small collection), but mikkoc reports that he can't get it to crash anymore.

*please* update and tell me if this fixes it for you :)


commit ed40135da85777e57301ac1853bdfd69ae4c5e8b
Author:     Leo Franchi <lfranchi@kde.org>
AuthorDate: Thu Oct 8 10:23:28 2009 -0400
Commit:     Leo Franchi <lfranchi@kde.org>
CommitDate: Thu Oct 8 10:24:36 2009 -0400

    reduce number of biasplaylist-related crashes by only repopulating the active bias. some really nasty threading issues going on here.
    
    CCBUG: 201111
Comment 38 Andreas Stangl 2009-10-08 20:46:07 UTC
No more crashes on my machine, even if I repopulate the playlist like crazy. Good job :-D
Comment 39 Andreas Stangl 2009-10-08 20:50:33 UTC
Ooop, the bug mentioned in comment #26 is still there.
Comment 40 Andreas Stangl 2009-10-08 20:51:28 UTC
Ooops, the bug mentioned in comment #26 is still there.
Comment 41 Leo Franchi 2009-10-08 20:57:08 UTC
andreas: if you change the rating multiple times fast, it still crashes? i can't get it to crash here. please paste a new backtrace if you can.
Comment 42 Andreas Stangl 2009-10-08 21:03:31 UTC
Here it is

-------------------
debug output
-------------------
amarok:   BEGIN: void Dynamic::BiasSolver::universeResults(QString, QStringList)
amarok:     [Playlist::Model] Metadata updated for track "Bind, torture, kill"
amarok:      change rating to:  6
amarok:     BEGIN: virtual void Dynamic::BiasedPlaylist::invalidate()
amarok:     END__: virtual void Dynamic::BiasedPlaylist::invalidate() - Took 0.006s
amarok:     BEGIN: virtual void Dynamic::BiasedPlaylist::invalidate()
amarok:       BEGIN: virtual void Dynamic::BiasedPlaylist::recalculate()
amarok:       END__: virtual void Dynamic::BiasedPlaylist::recalculate() - Took 0.00016s
amarok:     END__: virtual void Dynamic::BiasedPlaylist::invalidate() - Took 0.00046s
amarok:   END__: void CurrentTrack::changeTrackRating(int) - Took 0.052s
amarok:   [BiasSolver] DESTROYING BiasSolver in thread: 139998460360608
amarok: END__: void Dynamic::BiasSolver::universeResults(QString, QStringList) - Took 0.027s
KCrash: Application 'amarok' crashing...

-------------------
stack trace
-------------------
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 0 (LWP 16570)]

Thread 37 (Thread 0x7f53d7701910 (LWP 16571)):
#0  0x00007f53ebc3e23d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53dc907728 in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#3  0x00007f53ec16556d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 36 (Thread 0x7f53d6f00910 (LWP 16572)):
#0  0x00007f53ebc3dfb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53ed1b6120 in QMutexPrivate::wait (this=0x612b50, timeout=-1) at thread/qmutex_unix.cpp:80
#2  0x00007f53ed1b2af0 in QMutex::lock (this=0x612ab8) at thread/qmutex.cpp:207
#3  0x00007f53ed2869b2 in QMetaObject::connect (sender=0x87a228, signal_index=6, receiver=0xb, method_index=4, type=<value optimized out>, types=<value optimized out>)
    at src/corelib/thread/qorderedmutexlocker_p.h:82
#4  0x00007f53ed286e40 in QObject::connect (sender=0x87a228, signal=<value optimized out>, receiver=0x7f53ac025b18, method=<value optimized out>, type=Qt::AutoConnection) at kernel/qobject.cpp:2538
#5  0x00007f53ed231723 in QTextStream (this=0x7f53ac025a10, device=0x87a228) at io/qtextstream.cpp:332
#6  0x00007f53dcb680be in Phonon::Xine::XineStream::event (this=0x86ebe0, ev=0xa7baf0) at /usr/include/qt4/QtCore/qdebug.h:64
#7  0x00007f53ec88ec95 in QApplicationPrivate::notify_helper (this=0x7296f0, receiver=0x86ebe0, e=0xa7baf0) at kernel/qapplication.cpp:4065
#8  0x00007f53ec894c64 in QApplication::notify (this=0x7ffffa04f740, receiver=0x86ebe0, e=0xa7baf0) at kernel/qapplication.cpp:4030
#9  0x00007f53ee35ad08 in KApplication::notify () from /usr/lib64/libkdeui.so.5
#10 0x00007f53ed27888c in QCoreApplication::notifyInternal (this=0x7ffffa04f740, receiver=0x86ebe0, event=0xa7baf0) at kernel/qcoreapplication.cpp:606
#11 0x00007f53ed278f26 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x8e6ab0) at kernel/qcoreapplication.h:213
#12 0x00007f53ed29972f in postEventSourceDispatch (s=<value optimized out>) at kernel/qcoreapplication.h:218
#13 0x00007f53e48bc3dd in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#14 0x00007f53e48bf519 in ?? () from /usr/lib/libglib-2.0.so.0
#15 0x00007f53e48bf678 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#16 0x00007f53ed299465 in QEventDispatcherGlib::processEvents (this=0x73c830, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:330
#17 0x00007f53ed277602 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#18 0x00007f53ed27778c in QEventLoop::exec (this=0x7f53d6efff30, flags=) at kernel/qeventloop.cpp:197
#19 0x00007f53ed1b43bd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#20 0x00007f53dcb5cbc6 in Phonon::Xine::XineThread::run (this=0x73c300) at /usr/src/debug/media-sound/phonon-4.4_pre20090520/phonon-4.4_pre20090520/xine/xinethread.cpp:143
#21 0x00007f53ed1b69a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#22 0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#23 0x00007f53ec16556d in clone () from /lib/libc.so.6
#24 0x0000000000000000 in ?? ()

Thread 35 (Thread 0x7f53d64f5910 (LWP 16575)):
#0  0x00007f53ec15c8a3 in poll () from /lib/libc.so.6
#1  0x00007f53d64fbeb7 in ?? () from /usr/lib64/xine/plugins/1.26/xineplug_ao_out_alsa.so
#2  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#3  0x00007f53ec16556d in clone () from /lib/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 34 (Thread 0x7f53d5cf4910 (LWP 16576)):
#0  0x00007f53ebc3dfb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53dc91454c in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f53dc915dc3 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f53ec16556d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 33 (Thread 0x7f53d50e8910 (LWP 16577)):
#0  0x00007f53ebc3dfb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53dc91454c in ?? () from /usr/lib64/libxine.so.1
#2  0x00007f53dc915dc3 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f53ec16556d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 32, ..., 14 (Thread 0x7f53d29ff910 (LWP 16579)):
#0  0x00007f53ebc3dfb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53d381d5dd in os_event_wait_low () from /usr/lib64/mysql/ib/libinnobase.so.0
#2  0x00007f53d3820dbf in os_aio_simulated_handle () from /usr/lib64/mysql/ib/libinnobase.so.0
#3  0x00007f53d37e4d83 in fil_aio_wait () from /usr/lib64/mysql/ib/libinnobase.so.0
#4  0x00007f53d3860fd0 in ?? () from /usr/lib64/mysql/ib/libinnobase.so.0
#5  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#6  0x00007f53ec16556d in clone () from /lib/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f53c2bbc910 (LWP 16603)):
#0  0x00007f53ebc3dfb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53ed1b76a8 in QWaitCondition::wait (this=<value optimized out>, mutex=0x1eea6b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f53e89644f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f53e8966090 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f53e89660a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f53e89660a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f53e89660a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f53e89660a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f53e8964b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#9  0x00007f53e8964ec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#10 0x00007f53ed1b69a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#11 0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#12 0x00007f53ec16556d in clone () from /lib/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f53c23bb910 (LWP 16604)):
[KCrash Handler]
#5  0x00007f53ed283eff in QObjectPrivate::resetCurrentSender (receiver=0x51d0760, currentSender=0x7f53c23bac60, previousSender=0x0) at kernel/qobject.cpp:362
#6  0x00007f53ed2881d2 in QMetaObject::activate (sender=<value optimized out>, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=<value optimized out>)
    at kernel/qobject.cpp:3123
#7  0x00007f53edc939d6 in QueryMaker::newResultReady (this=0x51d0760, _t1=<value optimized out>, _t2=<value optimized out>)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999_build/src/QueryMaker.moc:152
#8  0x00007f53d43d2b10 in SqlQueryMaker::handleResult (this=0x4494e20, result=<value optimized out>)
    at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/collection/sqlcollection/SqlQueryMaker.cpp:768
#9  0x00007f53d43d5c14 in SqlWorkerThread::run (this=0x4494c50) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/collection/sqlcollection/SqlQueryMaker.cpp:56
#10 0x00007f53e89655c5 in ?? () from /usr/lib64/libthreadweaver.so.4
#11 0x00007f53e896584c in ThreadWeaver::Job::execute () from /usr/lib64/libthreadweaver.so.4
#12 0x00007f53e8964b0e in ?? () from /usr/lib64/libthreadweaver.so.4
#13 0x00007f53e8964ec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#14 0x00007f53ed1b69a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#15 0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#16 0x00007f53ec16556d in clone () from /lib/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f53c19ef910 (LWP 16605)):
#0  0x00007f53ebc3dfb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53ed1b76a8 in QWaitCondition::wait (this=<value optimized out>, mutex=0x1eea6b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f53e89644f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f53e8966090 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f53e89660a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f53e89660a9 in ?? () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f53e8964b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#7  0x00007f53e8964ec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#8  0x00007f53ed1b69a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#9  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#10 0x00007f53ec16556d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f53be38b910 (LWP 16608)):
#0  0x00007f53ebc3dfb9 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53ed1b76a8 in QWaitCondition::wait (this=<value optimized out>, mutex=0x1eea6b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  0x00007f53e89644f0 in ?? () from /usr/lib64/libthreadweaver.so.4
#3  0x00007f53e8966090 in ?? () from /usr/lib64/libthreadweaver.so.4
#4  0x00007f53e8964b3e in ?? () from /usr/lib64/libthreadweaver.so.4
#5  0x00007f53e8964ec6 in ThreadWeaver::Thread::run () from /usr/lib64/libthreadweaver.so.4
#6  0x00007f53ed1b69a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#7  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#8  0x00007f53ec16556d in clone () from /lib/libc.so.6
#9  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f53bb960910 (LWP 16611)):
#0  0x00007f53ebc3e23d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53ed1b7635 in QWaitCondition::wait (this=<value optimized out>, mutex=0x2392060, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  0x00007f53ed1af7f9 in QThreadPoolThread::run (this=0x2448800) at concurrent/qthreadpool.cpp:140
#3  0x00007f53ed1b69a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#4  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#5  0x00007f53ec16556d in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f53baf59910 (LWP 16612)):
#0  0x00007f53ebc3e23d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1  0x00007f53ed1b7635 in QWaitCondition::wait (this=<value optimized out>, mutex=0x2392060, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  0x00007f53ed1af7f9 in QThreadPoolThread::run (this=0x24498d0) at concurrent/qthreadpool.cpp:140
#3  0x00007f53ed1b69a7 in QThreadPrivate::start (arg=<value optimized out>) at thread/qthread_unix.cpp:188
#4  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#5  0x00007f53ec16556d in clone () from /lib/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 5, 4, 3 & 2 (Thread 0x7f53ba758910 (LWP 16613)):
#0  0x00007f53ec15ecf2 in select () from /lib/libc.so.6
#1  0x00007f53dc92a3e8 in xine_usec_sleep () from /usr/lib64/libxine.so.1
#2  0x00007f53dc913079 in ?? () from /usr/lib64/libxine.so.1
#3  0x00007f53ebc39614 in start_thread () from /lib/libpthread.so.0
#4  0x00007f53ec16556d in clone () from /lib/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f53ee7fb7a0 (LWP 16570)):
#0  0x00007f53ebc3d21e in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0x00007f53e3739a87 in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f53e3739f55 in ?? () from /usr/lib/libxcb.so.1
#3  0x00007f53e373a1a2 in xcb_writev () from /usr/lib/libxcb.so.1
#4  0x00007f53eb529cda in _XSend () from /usr/lib64/libX11.so.6
#5  0x00007f53eb51825e in ?? () from /usr/lib64/libX11.so.6
#6  0x00007f53eb518426 in XPutImage () from /usr/lib64/libX11.so.6
#7  0x00007f53ec93abd1 in QX11PixmapData::fromImage (this=0x51d0400, img=<value optimized out>, flags=<value optimized out>) at image/qpixmap_x11.cpp:563
#8  0x00007f53ec92b3ae in QPixmap::fromImage (image=@0x7ffffa04d440, flags=) at image/qpixmap.cpp:1968
#9  0x00007f53ec96aed2 in QPaintEngine::drawImage (this=0x51cef90, r=@0x7ffffa04d6e0, image=@0x7ffffa04d860, sr=<value optimized out>, flags=) at painting/qpaintengine.cpp:617
#10 0x00007f53eca030ad in QX11PaintEngine::drawImage (this=0x51cef90, r=@0x7ffffa04d6e0, image=@0x7ffffa04d860, sr=@0x7ffffa04d700, flags=) at painting/qpaintengine_x11.cpp:1892
#11 0x00007f53ec97c057 in QPainterPrivate::draw_helper (this=0x5459d60, originalPath=@0x7ffffa04db40, op=<value optimized out>) at painting/qpainter.cpp:476
#12 0x00007f53ec982501 in QPainter::drawRoundedRect (this=0x7ffffa04ddb0, rect=<value optimized out>, xRadius=<value optimized out>, yRadius=<value optimized out>, mode=<value optimized out>)
    at painting/qpainter.cpp:4073
#13 0x00007f53dee6207e in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
#14 0x00007f53dee702ef in ?? () from /usr/lib64/kde4/plugins/styles/oxygen.so
#15 0x00007f53ed277dc9 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x1d8ddf0, event=0x7ffffa04e500) at kernel/qcoreapplication.cpp:726
#16 0x00007f53ec88ec75 in QApplicationPrivate::notify_helper (this=0x7296f0, receiver=0x1d8ddf0, e=0x7ffffa04e500) at kernel/qapplication.cpp:4061
#17 0x00007f53ec894c64 in QApplication::notify (this=0x7ffffa04f740, receiver=0x1d8ddf0, e=0x7ffffa04e500) at kernel/qapplication.cpp:4030
#18 0x00007f53ee35ad08 in KApplication::notify () from /usr/lib64/libkdeui.so.5
#19 0x00007f53ed27888c in QCoreApplication::notifyInternal (this=0x7ffffa04f740, receiver=0x1d8ddf0, event=0x7ffffa04e500) at kernel/qcoreapplication.cpp:606
#20 0x00007f53ec8d5117 in QWidgetPrivate::drawWidget (this=0x1d8e010, pdev=0x7b4418, rgn=@0x7ffffa04e730, offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x71dcf0) at src/corelib/kernel/qcoreapplication.h:216
#21 0x00007f53ec8d5856 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=@0x7ac758, index=65, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x71dcf0) at kernel/qwidget.cpp:5194
#22 0x00007f53ec8d5779 in QWidgetPrivate::paintSiblingsRecursive (this=<value optimized out>, pdev=<value optimized out>, siblings=@0x7ac758, index=67, rgn=<value optimized out>, 
    offset=<value optimized out>, flags=4, sharedPainter=0x0, backingStore=0x71dcf0) at kernel/qwidget.cpp:5185
#23 0x00007f53ec8d4d75 in QWidgetPrivate::drawWidget (this=0x7ac740, pdev=0x7b4418, rgn=@0x7ffffa04ed10, offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x71dcf0) at kernel/qwidget.cpp:5133
#24 0x00007f53eca15354 in QWidgetBackingStore::sync (this=0x71dcf0) at painting/qbackingstore.cpp:1272
#25 0x00007f53ec8c909c in QWidgetPrivate::syncBackingStore (this=0x7ac740) at kernel/qwidget.cpp:1603
#26 0x00007f53ec8d3878 in QWidget::event (this=0x7cafd0, event=0x51d1ac0) at kernel/qwidget.cpp:7832
#27 0x00007f53ecbc9b51 in QMainWindow::event (this=0x7cafd0, event=0x51d1ac0) at widgets/qmainwindow.cpp:1399
#28 0x00007f53ec88ec95 in QApplicationPrivate::notify_helper (this=0x7296f0, receiver=0x7cafd0, e=0x51d1ac0) at kernel/qapplication.cpp:4065
#29 0x00007f53ec894c64 in QApplication::notify (this=0x7ffffa04f740, receiver=0x7cafd0, e=0x51d1ac0) at kernel/qapplication.cpp:4030
#30 0x00007f53ee35ad08 in KApplication::notify () from /usr/lib64/libkdeui.so.5
#31 0x00007f53ed27888c in QCoreApplication::notifyInternal (this=0x7ffffa04f740, receiver=0x7cafd0, event=0x51d1ac0) at kernel/qcoreapplication.cpp:606
#32 0x00007f53ed278f26 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x612a60) at kernel/qcoreapplication.h:213
#33 0x00007f53ed29972f in postEventSourceDispatch (s=<value optimized out>) at kernel/qcoreapplication.h:218
#34 0x00007f53e48bc3dd in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#35 0x00007f53e48bf519 in ?? () from /usr/lib/libglib-2.0.so.0
#36 0x00007f53e48bf678 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#37 0x00007f53ed29942d in QEventDispatcherGlib::processEvents (this=0x612480, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:328
#38 0x00007f53ec907852 in QGuiEventDispatcherGlib::processEvents (this=0x744998, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#39 0x00007f53ed277602 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#40 0x00007f53ed27778c in QEventLoop::exec (this=0x7ffffa04f6e0, flags=) at kernel/qeventloop.cpp:197
#41 0x00007f53ed279137 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#42 0x000000000040593a in main (argc=3, argv=0x7ffffa051558) at /usr/src/debug/media-sound/amarok-9999/amarok-9999/src/main.cpp:227
Comment 43 Andreas Stangl 2009-10-08 21:09:22 UTC
Maybe I should also notice, that my collection is *not* very small (3867 Tracks)
Comment 44 Leo Franchi 2009-10-08 21:30:10 UTC
good news: this crash isn't in the biassolver code, it's a plain sql query
crash in the SqlCollection. so not related to this bug, and my fix still works
:)
Comment 45 Andreas Stangl 2009-10-08 21:35:34 UTC
So, should I file a new bug?
Comment 46 Andreas Stangl 2009-10-08 21:51:46 UTC
(In reply to comment #45)
> So, should I file a new bug?

... I admit - stupid question -> bug #209918
Comment 47 Mark Kretschmann 2009-10-10 10:35:52 UTC
I think we can merge all these Dynamic Playlist crashes into one report. They are all related in a way.

Merging with BUG 200546

*** This bug has been marked as a duplicate of bug 200546 ***
Comment 48 Dario Andres 2009-10-24 18:33:50 UTC
*** Bug 211611 has been marked as a duplicate of this bug. ***